# -*- coding: utf-8 -*-
from qt import *
import sys

class test(QObject):
  def __init__(self):
    QObject.__init__(self)
    self.p = QProcess()
    self.connect(self.p, SIGNAL("readyReadStdout()"), self.readOut)
    self.connect(self.p, SIGNAL("processExited()"), self.procEx)
    self.connect(self.p, SIGNAL("readyReadStderr()"), self.readErr)
    self.p.setArguments(QStringList.split(" ", "apt-get upgrade"))
    self.p.start()
    QTimer.singleShot(5000, self.writeStdIn)

  def readOut(self):
    print "Readout"
    s = QString(self.p.readStdout()).ascii()
    print s
    
  def readErr(self):
    print "ReadErr"
    s = QString(self.p.readStderr()).ascii()
    print s

  def writeStdIn(self):
    print "writing to stdin"
    self.p.writeToStdin("Y\n")
    

  def procEx(self):
    qApp.exit();

def main(args):
    app = QApplication(args)
    t = test()
    app.exec_loop()
    
if __name__ == "__main__":
    sys.exit(main(sys.argv))
